<?php 
//error_reporting(E_ALL ^ E_DEPRECATED ^ E_NOTICE ^ E_WARNING ^ E_STRICT);

require("mysqlconnect.class.php");
include("paginator/paginator.php");
include("paginator/paginator_html.php");
include("functions.php");

define('DB_SERVER', "localhost:3371");
define('DB_USER', "biec_customers");
define('DB_PASS', "qz882b:s4/282E25r59aE9M7N5z27X");
define('DB_DATABASE', "biec_customers");

define("CUSTOMERS_URL","http://202.62.70.245:8094/");
define("GLOBAL_API_URL","http://202.62.70.245:8094/json_api/");
define("GLOBAL_APP_API_KEY","swtDY75W3lB923mLxiSAE4EpNuVJpGh3");

define('DB_IMTEX_SERVER', "localhost:3371");
define('DB_IMTEX_USER', "biec_application");
define('DB_IMTEX_PASS', "|3Q3bwK,gV2S8f7G6pXAr6N8KB43Rr");
define('DB_IMTEX_DATABASE', "biec_application");

define('DB_DMTX_SERVER', "localhost:3371");
define('DB_DMTX_USER', "biec_dmtx");
define('DB_DMTX_PASS', "<A6g6p5JAw>3}t248rDv696At4958n");
define('DB_DMTX_DATABASE', "biec_dmtx");

define('DB_BIEC_SERVER', "localhost:3371");
define('DB_BIEC_USER', "biec_billing");
define('DB_BIEC_PASS', "*PRge526j2266jNJzHK5xg2BH98UbB");
define('DB_BIEC_DATABASE', "biec_billing");

define('ERP_DB_SERVER', "192.168.0.6");
define('ERP_DB_USER', "root");
define('ERP_DB_PASS', "ERP@!23%2020");
define('ERP_DB_NAME', "productionserver_stagingdb");

define('EINVOICE_DB_SERVER', "localhost:3371");
define('EINVOICE_DB_USER', "biec_admin");
define('EINVOICE_DB_PASS', "4=2aSv/9b7@4qR#64J9672d3e6257f");
define('EINVOICE_DB_NAME', "imtma_einvoice");

define("RECORDS_PER_PAGE",25);

$accounts_array = array(
    "Space Rent" => "SpaceRent",
    "Space Rent - Conference Centre" => "SpaceRentConference",
    "Power Connection" => "PowerConnection",
    "Air Conditioning - Conference Centre" => "Accompressed",
    "Air Conditioning / Compressed Air" => "Accompressed",
    "Water Connection" => "WaterConnection",
    "Telephone Connection" => "TelConnection",
    "Hoardings / Signages" => "Hoardings",
    "Night Working Charges" => "NightWorkingCharges",
    "Light Pole Charges" => "Unipole",
    "Housekeeping Consumables" => "HouseKeepingReimb",
    "Security Services Expenses" => "SecServReimb",
    "Medical Services Expenses" => "MedicalFacSerReimb",
    "General Printing & Stationery" => "PrintStatReimb",
    "Repair & Maintainance Exp - Others" => "RepairsMaintReimb"
);


define('REPORTS_FOLDER', 'C:\\inetpub\\wwwroot\\biec_customers\\reports\\');

$db_cust = new mysqlconnect(DB_SERVER, DB_USER, DB_PASS, DB_DATABASE);
$db_cust->connect();

 $db_erp = new mysqlconnect(ERP_DB_SERVER, ERP_DB_USER, ERP_DB_PASS, ERP_DB_NAME);
$db_erp->connect(true); 

$einvoiceSupplier = array("general"=>array("supply_type_code"=>"B2B",
        "Document_Type_Code"=>"Invoice",
        "Additional_Currency_Code"=>"INR",
        "Supplier_Legal_Name"=>"INDIAN MACHINE TOOLS MFRS ASSOCIATION",
        "Supplier_Trade_Name"=>"INDIAN MACHINE TOOL MANUFACTURERS ASSOCIATION",
        "Supplier_GSTIN"=>"29AAACI1369M1Z7",
        "Supplier_Address1"=>"International Exhibition Centre,",
        "Supplier_Address2"=>"10th Mile,Tumkur Road Madavara",
        "Supplier_Place"=>"Bangalore-Urban, Karnataka",
        "Supplier_State_Code"=>"29",
        "Supplier_Pincode"=>"562123",
        "Supplier_Phone"=>"9845688268",
        "Supplier_Email"=>"dinesh@imtma.in",
		"Comp_Cess_Rate_Ad_valorem"=>0,
        "Comp_Cess_Amt_Ad_Valorem"=>0,
        "Comp_Cess_Amt_Non_Ad_Valorem"=>0,
        "State_Cess_Rate_ad_valorem"=>0,
        "State_Cess_Amt_Ad_Valorem"=>0,
        "State_Cess_Amt_Non_Ad_Valorem"=>0,
        "Other_Charges_Item_Level"=>0,
        "Purchase_Order_Line_Reference"=>0,
        "Comp_Cess_Amt_Total"=>0,
        "State_Cess_Amt_Total"=>0,
        "Discount_Amt_Invoice_Level"=>0,
        "Other_Charges_Invoice_Level"=>0,
        "Round_Off_Amount"=>0));
?>